VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
IFocusDrawing Class Referenceabstract
Version 4.0

Custom focus drawing interface. More...

Inheritance diagram for IFocusDrawing:

## Public Member Functions
virtual | ~IFocusDrawing () noexcept=default
virtual bool | drawFocusOnTop ()=0
| draw focus before view will be drawn or afterwards
virtual bool | getFocusPath (CGraphicsPath &outPath)=0
| the graphics path will be drawn filled with the evenodd method and the color set in CFrame::setFocusColor()

## Detailed Description

Custom focus drawing interface.

If focus drawing is enabled custom views can implement this interface to set a custom shape to be drawn if the view is the focus view.

See Also
  CFrame
  CControl

## Constructor & Destructor Documentation

virtual ~IFocusDrawing | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

virtual bool drawFocusOnTop | ( |  | ) |
| pure virtual

draw focus before view will be drawn or afterwards

Implemented in CTextButton, CSegmentButton, CKnob, CControl, and CListControl.

virtual bool getFocusPath | ( | CGraphicsPath & | outPath | ) |
| pure virtual

the graphics path will be drawn filled with the evenodd method and the color set in CFrame::setFocusColor()

Implemented in CTextButton, CSegmentButton, CKnob, CParamDisplay, CCheckBox, CControl, and CListControl.

The documentation for this class was generated from the following file:

- ifocusdrawing.h